Subject: bug#63365: 30.0.50; GCC 13.1 breaks building Emacs with native-compilation

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Jan 2024 20:59:30 +0200

> From: Arash Esbati <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 26 Jan 2024 19:24:50 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I recently upgraded my main development machine, and, as luck would
> > have it, had crashes during the build, so I could study the problem
> > and fix it.  It should now be fixed on the master branch.  I could
> > only test the solution in a 32-bit MinGW build, so please try testing
> > it in the 64-bit build when you have a crash on your hands.
> 
> I can confirm that Emacs now builds on Win10 64-bit with MSYS2/MINGW64
> without '-fno-optimize-sibling-calls'.  This is with:
> 
>   gcc.exe (Rev3, Built by MSYS2 project) 13.2.0
> 
> and
> 
>   CFLAGS='-O2 -g0 -pipe'
> 
> and --with-native-compilation.  Do you need another confirmation?

That's good to know, but I also wanted to be sure that
emacs_backtrace.txt can now be processed with addr2line.  If you have
a way of causing Emacs to crash and output emacs_backtrace.txt, please
test that.  If not, this can wait until there is some crash.

> Otherwise I can close this bug.  Thanks for fixing this.

Thanks.

P.S. Btw, I recommend using -g3, not -g0, as the former will produce
more useful debug info.